Read event subscriptions
curl --request GET \
--url https://api.hubapi.com/app-webhooks/2026-09/{appId}/subscriptions \
--header 'Authorization: Bearer <token>'import requests
url = "https://api.hubapi.com/app-webhooks/2026-09/{appId}/subscriptions"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.hubapi.com/app-webhooks/2026-09/{appId}/subscriptions', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"results": [
{
"active": true,
"createdAt": "2023-11-07T05:31:56Z",
"eventType": "company.associationChange",
"id": "<string>",
"eventTypeName": "<string>",
"objectTypeId": "<string>",
"propertyName": "<string>",
"updatedAt": "2023-11-07T05:31:56Z"
}
]
}{
"message": "Invalid input (details will vary based on the error)",
"correlationId": "aeb5f871-7f07-4993-9211-075dc63e7cbf",
"category": "VALIDATION_ERROR",
"links": {
"knowledge-base": "https://www.hubspot.com/products/service/knowledge-base"
}
}Subscriptions
Read event subscriptions
Retrieve event subscriptions for the specified app.
GET
/
app-webhooks
/
2026-09
/
{appId}
/
subscriptions
Read event subscriptions
Supported products
Supported products
Required Scopes
Required Scopes
Authorizations
oauth2oauth2
The access token received from the authorization server in the OAuth 2.0 flow.
Path Parameters
Response
successful operation
An array of subscription responses, each detailing a specific subscription's properties and status.
Show child attributes
Show child attributes
Last modified on September 9, 2026
Was this page helpful?